Loading...
Searching...
No Matches
fastjet::CDFJetCluPlugin Class Reference
Plugins for non-native jet definitions

Implementation of the JetClu algorithm from CDF (plugin for fastjet-v2.1 upwards). More...

`#include <fastjet/CDFJetCluPlugin.hh>`

Inheritance diagram for fastjet::CDFJetCluPlugin:
[legend]
Collaboration diagram for fastjet::CDFJetCluPlugin:
[legend]

## Public Member Functions

| CDFJetCluPlugin (double cone_radius_in, double overlap_threshold_in, double seed_threshold_in=1.0, int iratch_in=1)
| a compact constructor
| CDFJetCluPlugin (double seed_threshold_in, double cone_radius_in, int adjacency_cut_in, int max_iterations_in, int iratch_in, double overlap_threshold_in)
| a constructor that looks like the one provided by CDF
double | seed_threshold () const
double | cone_radius () const
int | adjacency_cut () const
int | max_iterations () const
int | iratch () const
double | overlap_threshold () const
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the JetClu algorithm from CDF (plugin for fastjet-v2.1 upwards).

Definition at line 47 of file CDFJetCluPlugin.hh.

## Constructor & Destructor Documentation

## CDFJetCluPlugin() [1/2]

fastjet::CDFJetCluPlugin::CDFJetCluPlugin | ( | double | cone_radius_in,
|  | double | overlap_threshold_in,
|  | double | seed_threshold_in = 1.0,
|  | int | iratch_in = 1 )

inline

a compact constructor

Definition at line 50 of file CDFJetCluPlugin.hh.

## CDFJetCluPlugin() [2/2]

fastjet::CDFJetCluPlugin::CDFJetCluPlugin | ( | double | seed_threshold_in,
|  | double | cone_radius_in,
|  | int | adjacency_cut_in,
|  | int | max_iterations_in,
|  | int | iratch_in,
|  | double | overlap_threshold_in )

inline

a constructor that looks like the one provided by CDF

Definition at line 62 of file CDFJetCluPlugin.hh.

## Member Function Documentation

## seed_threshold()

double fastjet::CDFJetCluPlugin::seed_threshold | ( |  | ) | const

inline

Definition at line 76 of file CDFJetCluPlugin.hh.

## cone_radius()

double fastjet::CDFJetCluPlugin::cone_radius | ( |  | ) | const

inline

Definition at line 77 of file CDFJetCluPlugin.hh.

## adjacency_cut()

int fastjet::CDFJetCluPlugin::adjacency_cut | ( |  | ) | const

inline

Definition at line 78 of file CDFJetCluPlugin.hh.

## max_iterations()

int fastjet::CDFJetCluPlugin::max_iterations | ( |  | ) | const

inline

Definition at line 79 of file CDFJetCluPlugin.hh.

## iratch()

int fastjet::CDFJetCluPlugin::iratch | ( |  | ) | const

inline

Definition at line 80 of file CDFJetCluPlugin.hh.

## overlap_threshold()

double fastjet::CDFJetCluPlugin::overlap_threshold | ( |  | ) | const

inline

Definition at line 81 of file CDFJetCluPlugin.hh.

## description()

string fastjet::CDFJetCluPlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 48 of file CDFJetCluPlugin.cc.

## run_clustering()

void fastjet::CDFJetCluPlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 63 of file CDFJetCluPlugin.cc.

## R()

virtual double fastjet::CDFJetCluPlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius

Implements fastjet::JetDefinition::Plugin.

Definition at line 88 of file CDFJetCluPlugin.hh.

The documentation for this class was generated from the following files:

- plugins/CDFCones/fastjet/CDFJetCluPlugin.hh
- plugins/CDFCones/CDFJetCluPlugin.cc